--- base/file_util_posix.cc
+++ base/file_util_posix.cc
@@ -85,7 +85,7 @@ int CountFilesCreatedAfter(const FilePath& path,
 
   DIR* dir = opendir(path.value().c_str());
   if (dir) {
-#if !defined(OS_LINUX) && !defined(OS_MACOSX) && !defined(OS_FREEBSD)
+#if !defined(OS_POSIX)
   #error Depending on the definition of struct dirent, additional space for \
       pathname may be needed
 #endif
@@ -631,7 +631,7 @@ bool FileEnumerator::ReadDirectory(std::vector<DirectoryEntryInfo>* entries,
   if (!dir)
     return false;
 
-#if !defined(OS_LINUX) && !defined(OS_MACOSX) && !defined(OS_FREEBSD)
+#if !defined(OS_POSIX)
   #error Depending on the definition of struct dirent, additional space for \
       pathname may be needed
 #endif
diff --git base/file_util_unittest.cc base/file_util_unittest.cc
index 40a4163..b0a1732 100644
